BatchStatement.Type (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.statements

## Enum BatchStatement.Type

- java.lang.Object
- - java.lang.Enum<BatchStatement.Type>
  - - org.apache.cassandra.cql3.statements.BatchStatement.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BatchStatement.Type>
  Enclosing class:
    BatchStatement

      public static enum BatchStatement.Type
      extends java.lang.Enum<BatchStatement.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COUNTER`
    `LOGGED`
    `UNLOGGED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BatchStatement.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BatchStatement.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOGGED

          public static final BatchStatement.Type LOGGED

    - #### UNLOGGED

          public static final BatchStatement.Type UNLOGGED

    - #### COUNTER

          public static final BatchStatement.Type COUNTER

  - ### Method Detail

    - #### values

          public static BatchStatement.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BatchStatement.Type c : BatchStatement.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BatchStatement.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation